## snapd-glib 1.67

=== debian/changelog ===
snapd-glib (1.67-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch for snapdqt_global.h not being installed breaking builds
    of reverse dependencies like plasma-discover. (Closes: #1104844)

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2025 09:22:58 +0200

snapd-glib (1.67-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_install-docs-to-html-subfolder.patch. Use a different install
      target for doc files.
  * debian/control:
    + Drop from B-D: gtk-doc-tools, add gi-docgen instead.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Drop execute_before_dh_install: override. No need to move doc files
      around anymore.
  * debian/libsnapd-glib-2-1.symbols:
    + Update file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 20:51:31 +0200

snapd-glib (1.66-2) unstable; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. Fix filenames of generated
      .cmake files when building against Qt6. Thanks to Aurélien COUDERC for
      testing the Qt6 builds of snapd-glib.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Apr 2025 14:31:58 +0200

snapd-glib (1.66-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:17:58 +0100

snapd-glib (1.66-1~exp2) experimental; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. CMake folder names required
      adjustments to be automatically found by CMake.
  * debian/libsnapd-qt{,6}-dev.install:
    + Adjust to path name changes of CMake configuration files.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 09:34:09 +0100

snapd-glib (1.66-1~exp1) experimental; urgency=medium

  * Upload to experimental.

  [ Scarlett Moore ]
  * New upstream release (1.66)
  * Bump standards version; no changes required.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_support-qt5+qt6-dual-builds.patch. Support dually building
      against Qt5 and Qt6.
  * debian/:
    + Dual build against Qt5 and Qt6 (introducing new Qt6-related bin:pkgs.
  * debian/control:
    + Drop from B-D: pkg-kde-tools. Not used anymore.
    + Add ${gir:Provides} to libsnapd-glib-dev.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 08:37:54 +0100

=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Robert Ancell <robert.ancell@canonical.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-pkgkde-symbolshelper,
               gi-docgen,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               meson,
               qtbase5-dev,
               qtdeclarative5-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               valac
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/snapcore/snapd-glib
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib

Package: libsnapd-glib-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: GLib snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.

Package: gir1.2-snapd-2
Section: introspection
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libsnapd-glib-2-1 (= ${binary:Version})
Description: Typelib file for libsnapd-glib1
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains introspection data.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib-2-1 (= ${binary:Version}),
         gir1.2-snapd-2 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libjson-glib-dev
Provides: ${gir:Provides},
Description: GLib snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

Package: libsnapd-qt6-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: Qt snapd library (Qt6 version
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt6 applications.

Package: libsnapd-qt-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: Qt snapd library (Qt5 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt5 applications.

Package: qml6-module-snapd
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: snapd
Multi-Arch: same
Description: Snapd QML module (Qt6 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt6 applications to access snapd.

Package: qml-module-snapd
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: snapd
Multi-Arch: same
Description: Snapd QML module (Qt5 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt5 applications to access snapd.

Package: libsnapd-qt6-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt6-2-1 (= ${binary:Version}),
         qt6-base-dev,
Breaks: libsnapd-glib-dev (<< 1.46)
Replaces: libsnapd-glib-dev (<< 1.46)
Description: Qt snapd library (Qt6 development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
 .
 This package contains the development files.

Package: libsnapd-qt-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt-2-1 (= ${binary:Version}),
         qtbase5-dev,
Breaks: libsnapd-glib-dev (<< 1.46)
Replaces: libsnapd-glib-dev (<< 1.46)
Description: Qt snapd library (Qt5 development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
 .
 This package contains the development files.

Package: snapd-glib-tests
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib snapd library (installed tests)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 \
	                  --buildsystem=meson \
	                  -- \
	                  -Dqt6=true \
	                  -Dqt5=false \
	                  -Ddocs=true \
	                  -Dexamples=true \
	                  -Dintrospection=true \
	                  -Dvala-bindings=true \
	                  -Dincludedir=/usr/include/$(DEB_HOST_MULTIARCH)
	                  $(meson_opts) \
	                  $(NULL)
	dh_auto_configure --builddirectory=build-qt5 \
	                  --buildsystem=meson \
	                  -- \
	                  -Dqt6=false \
	                  -Dqt5=true \
	                  -Ddocs=false \
	                  -Dexamples=false \
	                  -Dintrospection=false \
	                  -Dvala-bindings=false \
	                  -Dincludedir=/usr/include/$(DEB_HOST_MULTIARCH)
	                  $(meson_opts) \
	                  $(NULL)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 \
	              --buildsystem=meson \
	              $(NULL)
	dh_auto_build --builddirectory=build-qt5 \
	              --buildsystem=meson \
	              $(NULL)

override_dh_auto_test:
	dh_auto_test --builddirectory=build-qt6 \
	             --buildsystem=meson \
	             --no-parallel \
	             $(NULL)
	dh_auto_test --builddirectory=build-qt5 \
	             --buildsystem=meson \
	             --no-parallel \
	             $(NULL)

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt6 \
	                --buildsystem=meson \
	                $(NULL)
	dh_auto_install --builddirectory=build-qt5 \
	                --buildsystem=meson \
	                $(NULL)

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 \
	              --buildsystem=meson \
	              $(NULL)
	dh_auto_clean --builddirectory=build-qt5 \
	              --buildsystem=meson \
	              $(NULL)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## snapd-glib 1.70

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Build the introspection data (requires gobject-introspection)')
option('docs',
       type: 'boolean', value: true,
       description: 'Build the API reference (requires gi-docgen, and gobject-introspection)')
option('vala-bindings',
       type: 'boolean', value: true,
       description: 'Build the Vala bindings (requires introspection)')
option('qt5',
       type : 'boolean',
       value : false,
       description: 'Build the Qt5 bindings')
option('qt6',
       type : 'boolean',
       value : true,
       description: 'Build the Qt6 bindings')
option('qml-bindings',
       type: 'boolean', value: true,
       description: 'Build the QML bindings (requires the Qt bindings)')
option('soup2',
       type: 'boolean', value: false,
       description: 'Whether to build with libsoup2')
option('examples',
       type: 'boolean', value: true,
       description: 'Whether to build the examples')
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to build the tests')

=== debian/changelog ===
snapd-glib (1.70-0ubuntu1) questing; urgency=medium

  * New upstream release (1.70)
  * d/patches: Drop no longer needed 1002_fix-public-include-not-installed.patch
  * d/libsnapd-glib-2-1.symbols: Update from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 06 Jun 2025 09:03:22 +0100

snapd-glib (1.67-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not perform dual Qt5/Qt6 builds. Only Qt6 is required in Ubuntu.
      + d/patches/series: Comment out 1001_support-qt5+qt6-dual-builds.patch
      + d/rules: debhelper overrides to perform dual build not required.
      + d/control, d/*.install: Renaming of packages to accommodate dual build
        not required. We can keep upstream intended soname etc.
    - Skip Qt6 build on i386. In Ubuntu Qt6 is not built on i386 yet.
      + d/rules: on i386 set meson_opts += -Dqt6=false -Dqml-bindings=false
      + d/control: exclude i386 for Qt6 build depends and binary packages.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jun 2025 09:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -15,10 +16,8 @@
                libjson-glib-dev,
                libsoup-3.0-dev,
                meson,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qt6-base-dev,
-               qt6-declarative-dev,
+               qt6-base-dev [!i386],
+               qt6-declarative-dev [!i386],
                valac
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -82,13 +81,13 @@
  This package contains header files and development information, which
  is useful for building applications that need to communicate with snapd.
 
-Package: libsnapd-qt6-2-1
-Architecture: linux-any kfreebsd-any
+Package: libsnapd-qt-2-1
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: snapd
-Description: Qt snapd library (Qt6 version
+Description: Qt6 snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -98,29 +97,13 @@
  .
  snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
 
-Package: libsnapd-qt-2-1
-Architecture: linux-any kfreebsd-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: snapd
-Description: Qt snapd library (Qt5 version)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
-
-Package: qml6-module-snapd
-Architecture: linux-any kfreebsd-any
+Package: qml-module-snapd
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Suggests: snapd
 Multi-Arch: same
-Description: Snapd QML module (Qt6 version)
+Description: Snapd QML module for Qt6
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -130,32 +113,16 @@
  .
  This is a QML module for Qt6 applications to access snapd.
 
-Package: qml-module-snapd
-Architecture: linux-any kfreebsd-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Suggests: snapd
-Multi-Arch: same
-Description: Snapd QML module (Qt5 version)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- This is a QML module for Qt5 applications to access snapd.
-
-Package: libsnapd-qt6-dev
+Package: libsnapd-qt-dev
 Section: libdevel
-Architecture: linux-any kfreebsd-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-qt6-2-1 (= ${binary:Version}),
-         qt6-base-dev,
+         libsnapd-qt-2-1 (= ${binary:Version}),
+         qtbase5-dev,
 Breaks: libsnapd-glib-dev (<< 1.46)
 Replaces: libsnapd-glib-dev (<< 1.46)
-Description: Qt snapd library (Qt6 development files)
+Description: Qt6 snapd library (development files)
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -164,27 +131,6 @@
  for cloud, servers, desktops and the internet of things.
  .
  snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
- .
- This package contains the development files.
-
-Package: libsnapd-qt-dev
-Section: libdevel
-Architecture: linux-any kfreebsd-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         libsnapd-qt-2-1 (= ${binary:Version}),
-         qtbase5-dev,
-Breaks: libsnapd-glib-dev (<< 1.46)
-Replaces: libsnapd-glib-dev (<< 1.46)
-Description: Qt snapd library (Qt5 development files)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
  .
  This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# do not build withe Qt6 on i386 in Ubuntu
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
        meson_opts += -Dqt6=false -Dqml-bindings=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(meson_opts)

override_dh_auto_test:
	dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://github.com/snapcore/snapd-glib/tags .*/([0-9.]+)\.tar\.gz
